# CbcParam Class Reference

Very simple class for setting parameters. More...

`#include <CbcParam.hpp>`

Collaboration diagram for CbcParam:
[legend]

List of all members.

## Public Member Functions
Constructor and destructor
| CbcParam ()
| Constructors.
| CbcParam (std::string name, std::string help, double lower, double upper, CbcParameterType type, bool display=true)
| CbcParam (std::string name, std::string help, int lower, int upper, CbcParameterType type, bool display=true)
| CbcParam (std::string name, std::string help, std::string firstValue, CbcParameterType type, int defaultIndex=0, bool display=true)
| CbcParam (std::string name, std::string help, CbcParameterType type, int indexNumber=-1, bool display=true)
| CbcParam (const CbcParam &)
| Copy constructor.
CbcParam & | operator= (const CbcParam &rhs)
| Assignment operator. This copies the data.
| ~CbcParam ()
| Destructor.
## Private Attributes
data
We might as well throw all type data in - could derive?
CbcParameterType | type_
double | lowerDoubleValue_
| If double == okay.
double | upperDoubleValue_
int | lowerIntValue_
| If int == okay.
int | upperIntValue_
unsigned int | lengthName_
unsigned int | lengthMatch_
std::vector< std::string > | definedKeyWords_
| set of valid strings
std::string | name_
| Name.
std::string | shortHelp_
| Short help.
std::string | longHelp_
| Long help.
CbcParameterType | action_
| Action.
int | currentKeyWord_
| Current keyWord (if a keyword parameter).
bool | display_
| Display on ?
int | intValue_
| Integer parameter - current value.
double | doubleValue_
| Double parameter - current value.
std::string | stringValue_
| String parameter - current value.
int | indexNumber_
| index number to use for display purposes
## stuff
void | append (std::string keyWord)
| Insert string (only valid for keywords).
void | addHelp (std::string keyWord)
| Adds one help line.
std::string | name () const
| Returns name.
std::string | shortHelp () const
| Returns short help.
int | setDoubleParameter (CbcModel &model, double value) const
| Sets a double parameter (nonzero code if error).
double | doubleParameter (CbcModel &model) const
| Gets a double parameter.
int | setIntParameter (CbcModel &model, int value) const
| Sets a int parameter (nonzero code if error).
int | intParameter (CbcModel &model) const
| Gets a int parameter.
int | setDoubleParameter (ClpSimplex *model, double value) const
| Sets a double parameter (nonzero code if error).
double | doubleParameter (ClpSimplex *model) const
| Gets a double parameter.
int | setIntParameter (ClpSimplex *model, int value) const
| Sets a int parameter (nonzero code if error).
int | intParameter (ClpSimplex *model) const
| Gets a int parameter.
int | setDoubleParameter (OsiSolverInterface *model, double value) const
| Sets a double parameter (nonzero code if error).
double | doubleParameter (OsiSolverInterface *model) const
| Gets a double parameter.
int | setIntParameter (OsiSolverInterface *model, int value) const
| Sets a int parameter (nonzero code if error).
int | intParameter (OsiSolverInterface *model) const
| Gets a int parameter.
int | checkDoubleParameter (double value) const
| Checks a double parameter (nonzero code if error).
std::string | matchName () const
| Returns name which could match.
int | parameterOption (std::string check) const
| Returns parameter option which matches (-1 if none).
void | printOptions () const
| Prints parameter options.
std::string | currentOption () const
| Returns current parameter option.
void | setCurrentOption (int value)
| Sets current parameter option.
void | setIntValue (int value)
| Sets int value.
int | intValue () const
void | setDoubleValue (double value)
| Sets double value.
double | doubleValue () const
void | setStringValue (std::string value)
| Sets string value.
std::string | stringValue () const
int | matches (std::string input) const
| Returns 1 if matches minimum, 2 if matches less, 0 if not matched.
CbcParameterType | type () const
| type
bool | displayThis () const
| whether to display
void | setLonghelp (const std::string help)
| Set Long help.
void | printLongHelp () const
| Print Long help.
void | printString () const
| Print action and string.
int | indexNumber () const
| type for classification
void | gutsOfConstructor ()
| gutsOfConstructor

## Detailed Description

Very simple class for setting parameters.

Definition at line 153 of file CbcParam.hpp.

## Constructor & Destructor Documentation

CbcParam::CbcParam | ( |  | ) |

Constructors.

CbcParam::CbcParam | ( | std::string | name,
|  | std::string | help,
|  | double | lower,
|  | double | upper,
|  | CbcParameterType | type,
|  | bool | display = `true` |
| ) |  |  |

CbcParam::CbcParam | ( | std::string | name,
|  | std::string | help,
|  | int | lower,
|  | int | upper,
|  | CbcParameterType | type,
|  | bool | display = `true` |
| ) |  |  |

CbcParam::CbcParam | ( | std::string | name,
|  | std::string | help,
|  | std::string | firstValue,
|  | CbcParameterType | type,
|  | int | defaultIndex = `0`,
|  | bool | display = `true` |
| ) |  |  |

CbcParam::CbcParam | ( | std::string | name,
|  | std::string | help,
|  | CbcParameterType | type,
|  | int | indexNumber = `-1`,
|  | bool | display = `true` |
| ) |  |  |

CbcParam::CbcParam | ( | const CbcParam & |  | ) |

Copy constructor.

CbcParam::~CbcParam | ( |  | ) |

Destructor.

## Member Function Documentation

CbcParam& CbcParam::operator= | ( | const CbcParam & | rhs | ) |

Assignment operator. This copies the data.

void CbcParam::append | ( | std::string | keyWord | ) |

Insert string (only valid for keywords).

void CbcParam::addHelp | ( | std::string | keyWord | ) |

Adds one help line.

std::string CbcParam::name | ( |  | ) | const`[inline]`

Returns name.

Definition at line 186 of file CbcParam.hpp.

std::string CbcParam::shortHelp | ( |  | ) | const`[inline]`

Returns short help.

Definition at line 190 of file CbcParam.hpp.

int CbcParam::setDoubleParameter | ( | CbcModel & | model,
|  | double | value |
| ) |  |  | const

Sets a double parameter (nonzero code if error).

double CbcParam::doubleParameter | ( | CbcModel & | model | ) | const

Gets a double parameter.

int CbcParam::setIntParameter | ( | CbcModel & | model,
|  | int | value |
| ) |  |  | const

Sets a int parameter (nonzero code if error).

int CbcParam::intParameter | ( | CbcModel & | model | ) | const

Gets a int parameter.

int CbcParam::setDoubleParameter | ( | ClpSimplex * | model,
|  | double | value |
| ) |  |  | const

Sets a double parameter (nonzero code if error).

double CbcParam::doubleParameter | ( | ClpSimplex * | model | ) | const

Gets a double parameter.

int CbcParam::setIntParameter | ( | ClpSimplex * | model,
|  | int | value |
| ) |  |  | const

Sets a int parameter (nonzero code if error).

int CbcParam::intParameter | ( | ClpSimplex * | model | ) | const

Gets a int parameter.

int CbcParam::setDoubleParameter | ( | OsiSolverInterface * | model,
|  | double | value |
| ) |  |  | const

Sets a double parameter (nonzero code if error).

double CbcParam::doubleParameter | ( | OsiSolverInterface * | model | ) | const

Gets a double parameter.

int CbcParam::setIntParameter | ( | OsiSolverInterface * | model,
|  | int | value |
| ) |  |  | const

Sets a int parameter (nonzero code if error).

int CbcParam::intParameter | ( | OsiSolverInterface * | model | ) | const

Gets a int parameter.

int CbcParam::checkDoubleParameter | ( | double | value | ) | const

Checks a double parameter (nonzero code if error).

std::string CbcParam::matchName | ( |  | ) | const

Returns name which could match.

int CbcParam::parameterOption | ( | std::string | check | ) | const

Returns parameter option which matches (-1 if none).

void CbcParam::printOptions | ( |  | ) | const

Prints parameter options.

std::string CbcParam::currentOption | ( |  | ) | const`[inline]`

Returns current parameter option.

Definition at line 226 of file CbcParam.hpp.

void CbcParam::setCurrentOption | ( | int | value | ) | `[inline]`

Sets current parameter option.

Definition at line 230 of file CbcParam.hpp.

void CbcParam::setIntValue | ( | int | value | ) | `[inline]`

Sets int value.

Definition at line 234 of file CbcParam.hpp.

int CbcParam::intValue | ( |  | ) | const`[inline]`

Definition at line 237 of file CbcParam.hpp.

void CbcParam::setDoubleValue | ( | double | value | ) | `[inline]`

Sets double value.

Definition at line 241 of file CbcParam.hpp.

double CbcParam::doubleValue | ( |  | ) | const`[inline]`

Definition at line 244 of file CbcParam.hpp.

void CbcParam::setStringValue | ( | std::string | value | ) | `[inline]`

Sets string value.

Definition at line 248 of file CbcParam.hpp.

std::string CbcParam::stringValue | ( |  | ) | const`[inline]`

Definition at line 251 of file CbcParam.hpp.

int CbcParam::matches | ( | std::string | input | ) | const

Returns 1 if matches minimum, 2 if matches less, 0 if not matched.

CbcParameterType CbcParam::type | ( |  | ) | const`[inline]`

type

Definition at line 257 of file CbcParam.hpp.

bool CbcParam::displayThis | ( |  | ) | const`[inline]`

whether to display

Definition at line 261 of file CbcParam.hpp.

void CbcParam::setLonghelp | ( | const std::string | help | ) | `[inline]`

Set Long help.

Definition at line 265 of file CbcParam.hpp.

void CbcParam::printLongHelp | ( |  | ) | const

Print Long help.

void CbcParam::printString | ( |  | ) | const

Print action and string.

int CbcParam::indexNumber | ( |  | ) | const`[inline]`

type for classification

Definition at line 273 of file CbcParam.hpp.

void CbcParam::gutsOfConstructor | ( |  | ) | `[private]`

gutsOfConstructor

## Member Data Documentation

CbcParameterType CbcParam::type_`[private]`

Definition at line 288 of file CbcParam.hpp.

double CbcParam::lowerDoubleValue_`[private]`

If double == okay.

Definition at line 290 of file CbcParam.hpp.

double CbcParam::upperDoubleValue_`[private]`

Definition at line 291 of file CbcParam.hpp.

int CbcParam::lowerIntValue_`[private]`

If int == okay.

Definition at line 293 of file CbcParam.hpp.

int CbcParam::upperIntValue_`[private]`

Definition at line 294 of file CbcParam.hpp.

unsigned int CbcParam::lengthName_`[private]`

Definition at line 296 of file CbcParam.hpp.

unsigned int CbcParam::lengthMatch_`[private]`

Definition at line 298 of file CbcParam.hpp.

std::vector<std::string> CbcParam::definedKeyWords_`[private]`

set of valid strings

Definition at line 300 of file CbcParam.hpp.

std::string CbcParam::name_`[private]`

Name.

Definition at line 302 of file CbcParam.hpp.

std::string CbcParam::shortHelp_`[private]`

Short help.

Definition at line 304 of file CbcParam.hpp.

std::string CbcParam::longHelp_`[private]`

Long help.

Definition at line 306 of file CbcParam.hpp.

CbcParameterType CbcParam::action_`[private]`

Action.

Definition at line 308 of file CbcParam.hpp.

int CbcParam::currentKeyWord_`[private]`

Current keyWord (if a keyword parameter).

Definition at line 310 of file CbcParam.hpp.

bool CbcParam::display_`[private]`

Display on ?

Definition at line 312 of file CbcParam.hpp.

int CbcParam::intValue_`[private]`

Integer parameter - current value.

Definition at line 314 of file CbcParam.hpp.

double CbcParam::doubleValue_`[private]`

Double parameter - current value.

Definition at line 316 of file CbcParam.hpp.

std::string CbcParam::stringValue_`[private]`

String parameter - current value.

Definition at line 318 of file CbcParam.hpp.

int CbcParam::indexNumber_`[private]`

index number to use for display purposes

Definition at line 320 of file CbcParam.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.1/Cbc/src/CbcParam.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines